petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscEventPerfLogDeactivate

Indicates that a particular event should not be logged.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscEventPerfLogDeactivate(PetscEventPerfLog eventLog,PetscLogEvent event)

Not Collective

### Input Parameters

| eventLog | - The PetscEventPerfLog
| event | - The event

### Usage

          PetscEventPerfLogDeactivate(log, VEC_SetValues);
            [code where you do not want to log VecSetValues()]
          PetscEventPerfLogActivate(log, VEC_SetValues);
            [code where you do want to log VecSetValues()]

### Note

The event may be either a pre-defined PETSc event (found in include/petsclog.h) or an event number obtained with PetscEventRegLogRegister().

### Keywords

log, event, activate

### See Also

PetscEventPerfLogActivate()

### Level

developer

### Location

src/sys/logging/utils/eventlog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages